Page MenuHomePhabricator

Configure WikibaseQualityConstraints on beta
Closed, ResolvedPublic

Description

In order to be able to properly test T204031 before just running it in production we need WikibaseQualityConstraints to be properly setup and configured in beta and test (although without a SPARQL query service as noted in T204031#4742336 as I don't have one for beta or test).

Acceptance Criteria

  • Beta
    • The extension is enabled
    • It is properly configured
      • Properties are correctly configured

Event Timeline

Addshore triaged this task as Normal priority.Nov 20 2018, 2:51 PM
Addshore created this task.
Addshore updated the task description. (Show Details)
Addshore renamed this task from Enable & Configure WikibaseQualityConstraints on beta to Configure WikibaseQualityConstraints on beta.Nov 20 2018, 2:54 PM
Addshore updated the task description. (Show Details)
Addshore removed the point value for this task.Nov 20 2018, 2:57 PM
Addshore moved this task from incoming to in progress on the Wikidata board.Nov 21 2018, 8:19 AM

We should be able to do this now, the maintenance script was merged.

Mentioned in SAL (#wikimedia-releng) [2018-12-12T17:24:25Z] <Lucas_WMDE> lucaswerkmeister-wmde@deployment-mwmaint01:~$ mwscript extensions/WikibaseQualityConstraints/maintenance/ImportConstraintEntities.php --wiki=wikidatawiki --config-format=wgConf | tee WikibaseQualityConstraints-config.php # T209957

Lucas_Werkmeister_WMDE changed the task status from Open to Stalled.Dec 12 2018, 5:31 PM

Fail:

[30a5d8fe6bf772354e440b12] [no req]   Wikibase\Lib\Store\StorageException from line 333 of /srv/mediawiki/php-master/extensions/Wikibase/repo/includes/Store/Sql/WikiPageEntityStore.php: * Property [[Property:P694|P694]] already has label "instance of" associated with language code en.
* Property [[Property:P694|P694]] already has label "nature de l'élément" associated with language code fr.                                                                                  
* Property [[Property:P694|P694]] already has label "ist ein(e)" associated with language code de.                                                                                           
...

We detect this case for items, but not for properties, since the error message is formatted slightly differently in that case.

Changing this task to Stalled until the maintenance script is fixed.

Mentioned in SAL (#wikimedia-releng) [2018-12-14T13:08:54Z] <Lucas_WMDE> lucaswerkmeister-wmde@deployment-mwmaint01:~$ mwscript extensions/WikibaseQualityConstraints/maintenance/ImportConstraintEntities.php --wiki=wikidatawiki --config-format=wgConf | tee WikibaseQualityConstraints-config.php # T209957

Output is available in P7913, and the script took the following time to run:

real	1m43.083s
user	0m34.344s
sys	0m11.012s

I’ll submit a config change to add the configuration settings.

Change 479681 had a related patch set uploaded (by Lucas Werkmeister (WMDE); owner: Lucas Werkmeister (WMDE)):
[operations/mediawiki-config@master] Configure WikibaseQualityConstraints on Beta

https://gerrit.wikimedia.org/r/479681

Change 479681 merged by jenkins-bot:
[operations/mediawiki-config@master] Configure WikibaseQualityConstraints on Beta

https://gerrit.wikimedia.org/r/479681

Lydia_Pintscher added a subscriber: Lydia_Pintscher.

We tried to test this and it doesn't seem to be working correctly yet. https://wikidata.beta.wmflabs.org/wiki/Q81561#P963 should have a constraint violation based on the constraint defined at https://wikidata.beta.wmflabs.org/wiki/Property:P963#P241048 and https://wikidata.beta.wmflabs.org/wiki/Special:ConstraintReport/Q81561 doesn't show anything either. Or are we missing something?

Addshore removed Lucas_Werkmeister_WMDE as the assignee of this task.Dec 19 2018, 11:05 AM
Ladsgroup added a subscriber: Ladsgroup.

We tried to test this and it doesn't seem to be working correctly yet. https://wikidata.beta.wmflabs.org/wiki/Q81561#P963 should have a constraint violation based on the constraint defined at https://wikidata.beta.wmflabs.org/wiki/Property:P963#P241048 and https://wikidata.beta.wmflabs.org/wiki/Special:ConstraintReport/Q81561 doesn't show anything either. Or are we missing something?

It's now fixed, it was a mistake in the config.